Get a repository
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}Fetch a container registry repository for a project by ID or name.
https://api.vercel.com/v1/vcr/repository/{idOrName}
const response = await fetch('https://api.vercel.com/v1/vcr/repository/idOrName?projectId=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "repository": { "createdAt": "2026-06-30T10:00:00.000Z", "id": "repo_a1b2c3d4e5f6", "name": "my-app", "projectId": "prj_a1b2c3d4e5f6", "public": "false", "updatedAt": "2026-06-30T10:00:00.000Z" }}AuthorizationbearerToken
Default authentication mechanism